> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Studio 删除区间

> 删除一个或多个区间并导出为新歌

删除 clip 中一个或多个时间区间并导出新歌。通过 [查询任务状态](/zh/api-reference/suno/task) 轮询至 `success`。

<Info>
  **免费**（0 积分）。`close_gap` 默认 `true`（删除后收拢空隙）。
</Info>

属于 [Studio 编辑](/zh/api-reference/suno/studio) 分组。

## 参数

| 字段          | 类型      | 必填 | 说明                                   |
| ----------- | ------- | -- | ------------------------------------ |
| `clip_id`   | string  | 是  | 源 clip                               |
| `sections`  | array   | 是  | 要删除的区间列表（`start_s` / `end_s`，至少 1 项） |
| `close_gap` | boolean | 否  | 删除后是否收拢空隙（默认 `true`）                 |
| `title`     | string  | 否  | 新歌标题                                 |

### `sections[]` 项

| 字段        | 类型     | 必填 | 说明    |
| --------- | ------ | -- | ----- |
| `start_s` | number | 是  | 区间起始秒 |
| `end_s`   | number | 是  | 区间结束秒 |

## 示例

```bash theme={null}
curl -X POST https://api.mountsea.ai/suno/v2/studio/removeSection \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "clip_id": "5a3c023f-d1ed-4a85-b61e-168dde2b6659",
    "sections": [
      { "start_s": 12, "end_s": 18 },
      { "start_s": 40, "end_s": 44 }
    ],
    "close_gap": true,
    "title": "Cleaned Mix"
  }'
```


## OpenAPI

````yaml POST /suno/v2/studio/removeSection
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/studio/removeSection:
    post:
      tags:
        - suno/studio
      summary: Studio remove section
      description: 删除一个或多个区间后导出新歌。close_gap 默认 true。通过 clip_id 同账号选号。积分 0。
      operationId: ApiStudioController_removeSection
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StudioRemoveSectionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    StudioRemoveSectionDto:
      type: object
      properties:
        clip_id:
          type: string
          description: 原歌曲 clip_id
        sections:
          minItems: 1
          description: 要删除的区间列表
          type: array
          items:
            $ref: '#/components/schemas/StudioSectionRangeDto'
        close_gap:
          type: boolean
          description: 删除后是否收拢空隙，默认 true
          default: true
        title:
          type: string
          description: 新歌标题
      required:
        - clip_id
        - sections
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
    StudioSectionRangeDto:
      type: object
      properties:
        start_s:
          type: number
          minimum: 0
          description: 区间起始秒
        end_s:
          type: number
          minimum: 0
          description: 区间结束秒
      required:
        - start_s
        - end_s
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````